i've added "sip" package to my build and mow by using python-pyqt5_5.8.2.bb


ERROR: python-pyqt5-5.8.2-r0 do_patch: Command Error: 'quilt --quiltrc
/home/ubuntu/work/morty/fsl-release-bsp-imx6/build/tmp/sysroots/x86_64-linux/etc/quiltrc
push' exited with 0  Output:
Applying patch fix-sm.patch
patch: **** Only garbage was found in the patch input.
Patch fix-sm.patch does not apply (enforce with -f)
ERROR: python-pyqt5-5.8.2-r0 do_patch: Function failed: patch_do_patch
ERROR: Logfile of failure stored in:
/home/ubuntu/work/morty/fsl-release-bsp-imx6/build/tmp/work/cortexa9hf-neon-poky-linux-gnueabi/python-pyqt5/5.8.2-r0/temp/log.do_patch.6327
ERROR: Task
(/home/ubuntu/work/morty/fsl-release-bsp-imx6/sources/meta-qt5/recipes-python/pyqt5/python-pyqt5_5.8.2.bb:do_patch)
failed with exit code '1'
NOTE: Tasks Summary: Attempted 7479 tasks of which 7474 didn't need to be
rerun and 1 failed.




On Sat, Mar 10, 2018 at 6:14 PM, Peter Balazovic <balazovic.pe...@gmail.com>
wrote:

> I have repo from http://git.freescale.com/git/cgit.cgi/imx/fsl-arm-
> yocto-bsp.git/ branch imx-morty
> there is layer "meta-qt5" but does not contain "python-pyqt" or "
> "python-pyqt5" recipes.
>
> I copied python-pyqt5_5.8.2.bb recipe from https://layers.
> openembedded.org/layerindex/recipe/60914/
>
>
> On Sat, Mar 10, 2018 at 3:41 PM, Alan Martinovic <
> alan.martino...@senic.com> wrote:
>
>> Seems like the name of the package is: python-pyqt5
>>
>> A recipe with that name does exist in meta-qt5:
>> https://layers.openembedded.org/layerindex/recipe/60914/
>>
>> As on why bitbake didn't automatically set the recipe for execution
>> (based on RDEPENDS) but you would need to manually add it to
>> IMAGE_INSTALL_append
>> I don't know.
>>
>> Do you have meta-qt5 in your layers?
>>
>>
>> On Sat, Mar 10, 2018 at 1:53 PM, Peter Balazovic
>> <balazovic.pe...@gmail.com> wrote:
>> > Dears,
>> >
>> >
>> >
>> > per Yocto build from fsl-arm-yocto-bsp.git - i.MX Linux BSP Release
>> Yocto
>> > Project manifests of imx-morty branch I have built fsl-image-qt5 image,
>> I
>> > need to add qt5 python support, how to add to the image?
>> >
>> >
>> >
>> > Modifying local.conf not works
>> >
>> > IMAGE_INSTALL_append += "python-pyqt"
>> >
>> >
>> > I end up with errors...
>> >
>> >
>> > ERROR: Nothing RPROVIDES 'python-pyqt5' (but
>> > /home/ubuntu/work/morty/fsl-release-bsp-imx6/sources/meta-fs
>> l-bsp-release/imx/meta-sdk/recipes-fsl/images/fsl-image-qt5.bb
>> > RDEPENDS on or otherwise requires it)
>> >
>> > NOTE: Runtime target 'python-pyqt5' is unbuildable, removing...
>> >
>> > Missing or unbuildable dependency chain was: ['python-pyqt5']
>> >
>> > ERROR: Required build target 'fsl-image-qt5' has no buildable providers.
>> >
>> > Missing or unbuildable dependency chain was: ['fsl-image-qt5',
>> > 'python-pyqt5']
>> >
>> >
>> >
>> > How to add python QT5 support to Yocto image build?
>> >
>> >
>> > Thank you.
>> >
>> > --
>> > _______________________________________________
>> > yocto mailing list
>> > yocto@yoctoproject.org
>> > https://lists.yoctoproject.org/listinfo/yocto
>> >
>>
>
>
-- 
_______________________________________________
yocto mailing list
yocto@yoctoproject.org
https://lists.yoctoproject.org/listinfo/yocto

Reply via email to